Subject: bug#17896: closed (Re: bug#17896: sh-mode excessive indentation of {})

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 08 Jul 2014 18:39:03 +0000

Your bug report

#17896: sh-mode excessive indentation of {}

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17896: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17896
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17896: sh-mode excessive indentation of {}
From: Stefan Monnier <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: [email-masked]
Date: Tue, 08 Jul 2014 14:38:28 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

> for foo in bar; do
>     [ -e $foo ] && [ -e $bar ] && {
>                        echo way too much indent here
>                    }
> done

I believe this is now fixed, thanks,

        Stefan

Subject: sh-mode excessive indentation of {}
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Tue, 01 Jul 2014 21:46:54 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: emacs
Version: 24.3.92
Severity: minor

I don't know if this is a related to any of the previous sh-mode indent
reports I made, so I'm making a new report.

emacs -Q foo.sh:

for foo in bar; do
    [ -e $foo ] && [ -e $bar ] && {
                       echo way too much indent here
                   }
done

Compare with 24.3:

for foo in bar; do
    [ -e $foo ] && [ -e $bar ] && {
        echo just fine thanks
    }
done